Subject: m68k: kernel/up.c:16: error: dereferencing pointer to incomplete type

From: Geert Uytterhoeven <[email-masked]>
Date: Thu, 12 Mar 2009 14:08:57 +0100

Hi Stephen,

I can't seem to reproduce the compile failure of kernel/up.c on m68k,
as shown on
http://kisskb.ellerman.id.au/kisskb/buildresult/186066/:

| kernel/up.c:16: error: dereferencing pointer to incomplete type

I am using the exact same version (ebdcc81c71937b30e09110c02a1e8a21fa770b6f).
I'm using a different compiler, though (gcc 4.1.2).

If it is reproducible, can you please send me kernel/up.i?

Thanks!

Gr{oetje,eeting}s,

						Geert

--
Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]

In personal conversations with technical people, I call myself a hacker. But
when I'm talking to journalists I just say "programmer" or something like that.
							    -- Linus Torvalds